#include <ChatCommand/NoclipCommand/NoclipCommand.hpp>

NoclipCommand::NoclipCommand()
{
    require(UserPermission::Noclip);

    addVariant(
        "<on|off> - Turn noclip mode on or off.",
        [](Player &player, bool noclip) -> void
        {
            player.setNoclip(noclip);
            player.writeChat(noclip ? "Noclip mode ENABLED." : "Noclip mode DISABLED.", Color::success);
        }
    );
}